org.apache.xmlgraphics.util

## Interface MimeConstants

-     public interface MimeConstants

  Frequently used MIME types for various file formats used by the XML Graphics project.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MIME_AFP` IBM's AFP
    `static java.lang.String` | `MIME_AFP_ALT` IBM's AFP (alternative MIME type)
    `static java.lang.String` | `MIME_AFP_GOCA` IBM's AFP GOCA subset for graphical objects
    `static java.lang.String` | `MIME_AFP_IOCA_FS10` IBM's AFP IOCA subset for bilevel raster image
    `static java.lang.String` | `MIME_AFP_IOCA_FS11` IBM's AFP IOCA subset for grayscale and color raster image
    `static java.lang.String` | `MIME_AFP_IOCA_FS45` IBM's AFP IOCA subset for grayscale and color tiled raster image
    `static java.lang.String` | `MIME_AFP_TRUETYPE`
    `static java.lang.String` | `MIME_EMF` Microsoft's Enhanced Metafile
    `static java.lang.String` | `MIME_EPS` Encapsulated PostScript (same MIME type as PostScript)
    `static java.lang.String` | `MIME_GIF` GIF images
    `static java.lang.String` | `MIME_JPEG` JPEG images
    `static java.lang.String` | `MIME_MIF` FrameMaker's MIF
    `static java.lang.String` | `MIME_PCL` HP's PCL
    `static java.lang.String` | `MIME_PCL_ALT` HP's PCL (alternative MIME type)
    `static java.lang.String` | `MIME_PDF` Portable Document Format
    `static java.lang.String` | `MIME_PLAIN_TEXT` Plain text
    `static java.lang.String` | `MIME_PNG` PNG images
    `static java.lang.String` | `MIME_POSTSCRIPT` PostScript
    `static java.lang.String` | `MIME_RTF` Rich text format
    `static java.lang.String` | `MIME_RTF_ALT1` Rich text format (alternative 1)
    `static java.lang.String` | `MIME_RTF_ALT2` Rich text format (alternative 2)
    `static java.lang.String` | `MIME_SVG` Structured Vector Graphics
    `static java.lang.String` | `MIME_TIFF` TIFF images
    `static java.lang.String` | `MIME_XSL_FO` Proposed but non-registered MIME type for XSL-FO

- - ### Field Detail

    - #### MIME_PDF

          static final java.lang.String MIME_PDF

      Portable Document Format
      See Also:
        Constant Field Values

    - #### MIME_POSTSCRIPT

          static final java.lang.String MIME_POSTSCRIPT

      PostScript
      See Also:
        Constant Field Values

    - #### MIME_EPS

          static final java.lang.String MIME_EPS

      Encapsulated PostScript (same MIME type as PostScript)
      See Also:
        Constant Field Values

    - #### MIME_PCL

          static final java.lang.String MIME_PCL

      HP's PCL
      See Also:
        Constant Field Values

    - #### MIME_PCL_ALT

          static final java.lang.String MIME_PCL_ALT

      HP's PCL (alternative MIME type)
      See Also:
        Constant Field Values

    - #### MIME_AFP

          static final java.lang.String MIME_AFP

      IBM's AFP
      See Also:
        Constant Field Values

    - #### MIME_AFP_ALT

          static final java.lang.String MIME_AFP_ALT

      IBM's AFP (alternative MIME type)
      See Also:
        Constant Field Values

    - #### MIME_AFP_IOCA_FS10

          static final java.lang.String MIME_AFP_IOCA_FS10

      IBM's AFP IOCA subset for bilevel raster image
      See Also:
        Constant Field Values

    - #### MIME_AFP_IOCA_FS11

          static final java.lang.String MIME_AFP_IOCA_FS11

      IBM's AFP IOCA subset for grayscale and color raster image
      See Also:
        Constant Field Values

    - #### MIME_AFP_IOCA_FS45

          static final java.lang.String MIME_AFP_IOCA_FS45

      IBM's AFP IOCA subset for grayscale and color tiled raster image
      See Also:
        Constant Field Values

    - #### MIME_AFP_GOCA

          static final java.lang.String MIME_AFP_GOCA

      IBM's AFP GOCA subset for graphical objects
      See Also:
        Constant Field Values

    - #### MIME_AFP_TRUETYPE

          static final java.lang.String MIME_AFP_TRUETYPE

      See Also:
        Constant Field Values

    - #### MIME_PLAIN_TEXT

          static final java.lang.String MIME_PLAIN_TEXT

      Plain text
      See Also:
        Constant Field Values

    - #### MIME_RTF

          static final java.lang.String MIME_RTF

      Rich text format
      See Also:
        Constant Field Values

    - #### MIME_RTF_ALT1

          static final java.lang.String MIME_RTF_ALT1

      Rich text format (alternative 1)
      See Also:
        Constant Field Values

    - #### MIME_RTF_ALT2

          static final java.lang.String MIME_RTF_ALT2

      Rich text format (alternative 2)
      See Also:
        Constant Field Values

    - #### MIME_MIF

          static final java.lang.String MIME_MIF

      FrameMaker's MIF
      See Also:
        Constant Field Values

    - #### MIME_SVG

          static final java.lang.String MIME_SVG

      Structured Vector Graphics
      See Also:
        Constant Field Values

    - #### MIME_GIF

          static final java.lang.String MIME_GIF

      GIF images
      See Also:
        Constant Field Values

    - #### MIME_PNG

          static final java.lang.String MIME_PNG

      PNG images
      See Also:
        Constant Field Values

    - #### MIME_JPEG

          static final java.lang.String MIME_JPEG

      JPEG images
      See Also:
        Constant Field Values

    - #### MIME_TIFF

          static final java.lang.String MIME_TIFF

      TIFF images
      See Also:
        Constant Field Values

    - #### MIME_XSL_FO

          static final java.lang.String MIME_XSL_FO

      Proposed but non-registered MIME type for XSL-FO
      See Also:
        Constant Field Values

    - #### MIME_EMF

          static final java.lang.String MIME_EMF

      Microsoft's Enhanced Metafile
      See Also:
        Constant Field Values

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.